>From 4b510a54671daa04ef7f4077ea4fa7678835c075 Mon Sep 17 00:00:00 2001
From: Erwan Tulou <erwan10@videolan.org>
Date: Mon, 29 Jun 2009 00:21:06 +0200
Subject: [PATCH] ensure libvlc_playlist_play is a no-op if vlc termination is underway.

in bin/(win)vlc.c, interfaces blocking on libvlc_AddIntf (Windows skins2 and MacOS) need the subsequent libvlc_playlist_play call to be a no-op (thus avoiding overhead and maybe potential bugs)
---
 src/control/playlist.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/src/control/playlist.c b/src/control/playlist.c
index d71e61f..8e78317 100644
--- a/src/control/playlist.c
+++ b/src/control/playlist.c
@@ -38,6 +38,9 @@ void libvlc_playlist_play( libvlc_instance_t *p_instance, int i_id,
                            int i_options, char **ppsz_options,
                            libvlc_exception_t *p_e )
 {
+    if( !vlc_object_alive( p_instance->p_libvlc_int ) )
+        return;
+
     playlist_t *pl = libvlc_priv (p_instance->p_libvlc_int)->p_playlist;
     VLC_UNUSED(i_id); VLC_UNUSED(i_options); VLC_UNUSED(ppsz_options);
 
-- 
1.5.6.5

